Schema "fpml-return-swaps-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 10089 $

Defined Components:

  1 global element, 1 local element, 1 complexType

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\reporting\fpml-return-swaps-5-5.xsd; see XML source

Includes Schema:

  fpml-eq-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
equitySwapTransactionSupplement | Specifies the structure of the equity swap transaction supplement.
Type: | EquitySwapTransactionSupplement
Content: | complex, 1 attribute, 25 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
extraordinaryEvents (in equitySwapTransactionSupplement) | Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
Type: | ExtraordinaryEvents
Content: | complex, 13 elements
Defined: | locally witnin EquitySwapTransactionSupplement complexType; see XML source

Complex Type Summary
EquitySwapTransactionSupplement | A type for defining Equity Swap Transaction Supplement
Content: | complex, 1 attribute, 25 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 10089 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <!--IY: ETTF pretrade IRS and CDS--> <xsd:include schemaLocation="fpml-eq-shared-5-5.xsd"/> <xsd:complexType name="EquitySwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining Equity Swap Transaction Supplement </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ReturnSwapBase"> <xsd:sequence> <xsd:group minOccurs="0" ref="MutualOrOptionalEarlyTermination.model"/> <xsd:group minOccurs="0" ref="EquityUnderlyerProvisions.model"/> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="equitySwapTransactionSupplement" substitutionGroup="product" type="EquitySwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the structure of the equity swap transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.